# NOTE
# - new name will be probably mbsync, but project name still stays isync
Summary:	Tool to synchronize IMAP4 and Maildir mailboxes
Name:		isync
Version:	1.5.1
Release:	1
License:	GPL v2+
Group:		Applications/Networking
Source0:	https://downloads.sourceforge.net/isync/%{name}-%{version}.tar.gz
# Source0-md5:	05388d7b1b3c2ac89c1a7b179ee25f20
URL:		https://isync.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel
BuildRequires:	db-devel >= 4.2
BuildRequires:	openssl-devel
BuildRequires:	perl-base >= 1:5.14
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
isync is a command line application which synchronizes mailboxes;
currently Maildir and IMAP4 mailboxes are supported. New messages,
message deletions and flag changes can be propagated both ways. isync
is suitable for use in IMAP-disconnected mode.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

rm -r $RPM_BUILD_ROOT%{_docdir}/isync

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO ChangeLog src/mbsyncrc.sample
%attr(755,root,root) %{_bindir}/mbsync
%attr(755,root,root) %{_bindir}/mdconvert
%attr(755,root,root) %{_bindir}/mbsync-get-cert
%{_mandir}/man1/*
%changelog
* Fri Mar 14 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/isync.git;a=log;h=master

* Tue Mar 11 2025 Jan Palus <atler@pld-linux.org> 06087a0
- up to 1.5.1

* Fri Aug 02 2024 Jan Palus <atler@pld-linux.org> ef60f10
- up to 1.5.0

* Fri Dec 03 2021 Jan Palus <atler@pld-linux.org> a22ca89
- up to 1.4.4 (fixes CVE-2021-3657 CVE-2021-44143)

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 0d8748d
- rebuild with openssl 3.0.0

* Fri Aug 06 2021 Jan Palus <atler@pld-linux.org> 5d01440
- up to 1.4.3

* Wed Jun 09 2021 Jan Palus <atler@pld-linux.org> c8e5923
- up to 1.4.2 (fixes CVE-2021-3578)

* Mon Feb 22 2021 Jan Palus <atler@pld-linux.org> 1b3f590
- up to 1.4.1 (fixes CVE-2021-20247)

* Sat Feb 20 2021 Jan Palus <atler@pld-linux.org> ac9d74d
- updated source/url to https

* Sat Feb 20 2021 Jan Palus <atler@pld-linux.org> 1c65a4f
- upstream fixes for "unexpected FETCH response"; rel 2

* Thu Feb 04 2021 Jan Palus <atler@pld-linux.org> e759d67
- up to 1.4.0

* Wed Feb 03 2021 Jan Palus <atler@pld-linux.org> 9747634
- up to 1.3.4

* Tue Aug 04 2020 Jan Palus <atler@pld-linux.org> 6ecc903
- up to 1.3.3

* Wed Jul 08 2020 Jan Palus <atler@pld-linux.org> 16f4b5b
- up to 1.3.2

* Tue May 28 2019 Jan Palus <atler@pld-linux.org> 5530500
- up to 1.3.1

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 58d5869
- release 2 (by relup.sh)

* Wed Oct 11 2017 Jan Palus <atler@pld-linux.org> 186a3f6
- up to 1.3.0

* Sun Aug 06 2017 Jan Palus <atler@pld-linux.org> 0434a38
- up to 1.2.2

* Sat Oct 08 2016 Jan Palus <atler@pld-linux.org> 9f60750
- up to 1.2.1

* Fri Sep 12 2014 Jan Palus <atler@pld-linux.org> f6f8694
- up to 1.1.1
- drop recursive_imap_ubuntu.patch - looks like it already wroks fine
  from 1.1.0
- run autotools
- dropped converting ChangeLog to utf8 (not sure what's the rationale
  behind this)

* Sun Mar 17 2013 Jan Palus <jan.palus@gmail.com> c105631
- up to 1.0.6

